import java.awt.*;
import java.applet.Applet;
import AppletFrame;

import java.util.StringTokenizer;
import java.util.*;        

import java.io.*;            

import java.net.*;
import java.net.MalformedURLException;
import java.net.URL;         

class MyField extends TextField
{
  Mudwin window;
  
  MyField(int a, Mudwin win)
    {
      super(a);
      window = win;
    }
  
  public boolean action(Event event, Object what) 
    {
      /* *** ????????? *** */		
      window.input(getText());
      setText("");
      return true;
    }
}

public class Mudwin extends Panel {
  
  TextArea area;
  TextField inputField;
  MudClient client;
  MudApplet A;
  
  Mudwin(MudClient c, MudApplet A)
    {
      this.A = A;
      
      setLayout(new BorderLayout());
      client = c;
      
      resize(300,300);
      
      area = new TextArea("Initial Text");
      inputField = new MyField(80, this);
      
      inputField.setText("");
      
      
      area.setEditable(false);
      
      add("Center", area);
      add("South", inputField);
      
      show();
    }
  
  public void input(String s)
    {
      
      client.input(s);
      
    }
  
  public void addLine(String s)
    {
      int i, e, e1;
      String s1;
      
      for (i = 0; i < s.length(); i = e)
	{
	  if ((i + 80) > s.length())
	    {
	      e = s.length();
	    }
	  else
	    {
	      e = i + 80;
	      e1 = s.lastIndexOf(32, e);
	      if (e1 > i)
		{
		  e = e1;
		}
	    }
	  s1 = s.substring(i, e);

	  if (i > 0)
	    {
	      s1 = s1.trim();
	    }
	    //System.out.println("i=" + i + " e=" + e + " len=" + s.length());
	  area.appendText(s1 + "\n");
	}
    }
  
  public void output(String s)
    {
      debug("win got output " + s);
    }
  
  public void start() {
    debug("starting mudwin");
  }
  
  public void stop() {
    debug("stopping mudwin");
  }
  
  public void destroy() {
    debug("preparing for unloading mudwin...");
  }
  
  public void debug(String newWord) {
    System.out.println(newWord);
    show();
  }
}

















