import java.applet.Applet;
import java.awt.*;
import MudClient;
import Mudwin;
import java.net.*;
import java.io.*;
import java.lang.*;
import java.net.MalformedURLException;
import java.net.URL;    
import java.util.StringTokenizer;
import java.util.*;
import java.applet.AudioClip;

public class MudApplet extends Applet {
  Play_Window play_Window;
  public String hehe;	  
  URL theURL, theURL2;    
  MudApplet father;
  MudClient client;
  int[][] Mat = new int[5][5];
  
  AudioClip ahoh;
  AudioClip rooster;
  AudioClip laugh;
  AudioClip ring;
  AudioClip bubbles;
  AudioClip flush;

  public void init() {

//    String hehes = "spacemusic.au";
    ahoh = getAudioClip(getCodeBase(), "clink.au");
    rooster = getAudioClip(getCodeBase(), "rooster.au");
    laugh = getAudioClip(getCodeBase(), "laugh.au");
    ring  = getAudioClip(getCodeBase(), "ring.au");
    bubbles = getAudioClip(getCodeBase(), "bubbles.au");
    flush = getAudioClip(getCodeBase(), "flush.au");
    client = new MudClient("oldnova.npac.syr.edu", 7777, this);
    //      Mudwin w = new Mudwin(client);
    Mudwin w = new Mudwin(client, this);
    
    client.setWindow(w);
    
    w.show();
    
    client.connect();
    
    add(w);
  }
  
  public void playAhOh() {
    ahoh.play();
  }

  public void playEverything(String sound) {
    if (sound == "rooster.au") {
      rooster.play(); }
      else if (sound == "laugh.au") {
      laugh.play(); }
      else if (sound == "ring.au") {
      ring.play(); }
      else if (sound == "bubbles.au") {
      bubbles.play(); }
      else if (sound == "flush.au") {
      flush.play(); }
      else { System.out.println(""); }
  }
  
  public void start() {
    System.out.println("applet start");
    client.start();
  }
  public void stop() {
    System.out.println("applet stop");
    client.stop();
  }
  public void destroy() {
    System.out.println("applet destroy");
    client.destroy();
  }
  
    
  public void playing(String str, StringTokenizer tok) {
    play_Window = new Play_Window(father);
  }
  
  public void drawCheckerboard(int x_dim, int y_dim) {
    play_Window.drawCheckerboard(x_dim, y_dim);
  } 
  
  public void setupNoZones(int n) {
    play_Window.setupNoZones(n);
  }

  public void go(int x, int y) {
    play_Window.go(x,y);
  }

  public void setNoZone(int n, int x, int y) {
    play_Window.setNoZone(n, x, y);
  }

  public void painter() {
    play_Window.painter();
  }

  public void paramErr() {
    System.out.println("PARAM ERR");
  }
  
  public void I_dont_understand(String nono_command) {
    System.out.println("NONOCOMMAND IS " + nono_command + " ...");
    No_NoWindow no_noWindow = new No_NoWindow(father, nono_command);
  }

}


class Play_Window extends Frame {
  Play_Canvas play_Canvas;
  Button QUIT_button = new Button(" QUIT ");
  
  public Insets insets() { 
    return new Insets(25,25,25,25); 
  }
  MudApplet father;
  
  Play_Window(MudApplet Father) {
    
    father = Father;
    setLayout(new BorderLayout(20,20));
    setBackground(Color.magenta);
    setTitle("*** Play BOTTLE ***");
    play_Canvas = new Play_Canvas(this);
    play_Canvas.setForeground(Color.magenta);
    play_Canvas.setBackground(Color.black);
    add("Center", play_Canvas);
    QUIT_button.setBackground(Color.cyan);
    QUIT_button.setForeground(Color.black);
    add("South",QUIT_button);
    pack();
    resize(500,500);
    show();
  }
  
  public boolean action(Event evt, Object arg) {
    if (evt.target instanceof Button) {
      String label = (String)arg;
      if (label.equals(" QUIT ")) {
        dispose();
      }
    }
    return true;
  }

  public void drawCheckerboard(int x_dim, int y_dim) {
    play_Canvas.matX = x_dim;
    play_Canvas.matY = y_dim;
  }

  public void painter() {
    Graphics g = getGraphics();
    play_Canvas.repaint();
  }

  public void setupNoZones(int n) {
    play_Canvas.allocNoZones(n);
  }

  public void setNoZone(int n, int x, int y) {
    play_Canvas.setNoZone(n, x, y);
  }

  public void go(int x, int y) {
    play_Canvas.go(x,y);
  }
}


class Play_Canvas extends Canvas {
  Play_Window mother;
  int i, j;
  int matX;
  int matY;
  int numNoZones;
  int[] NoZonesX;
  int[] NoZonesY;
  int x = -1;
  int y = -1;

  public void allocNoZones(int n) {
    numNoZones = n;
    NoZonesX = new int[n];
    NoZonesY = new int[n];
  }

  public void setNoZone(int n, int x, int y) {
    NoZonesX[n] = x;
    NoZonesY[n] = y;
  }

  public void go(int xl, int yl) {
    x = xl;
    y = yl;
  }

  Play_Canvas(Play_Window Mother) {
    mother = Mother;
    setFont(new Font("TimesRoman", Font.BOLD, 18));
  }

  public void paint(Graphics g) {
    g.setColor(Color.cyan);
    for (int i = 0;   i < matX;   i ++) {
      for (int j = 0;   j < matY;   j ++) {
        g.drawRect(i*50+20,j*50+20,50,50);
	//drawCheckerboard(g,i,j);
      }
    }
    for (int i = 0; i < numNoZones; i++) {
      System.out.println("DA: " + NoZonesX[i] + NoZonesY[i]);
      g.fillRect(NoZonesX[i]*50+20,NoZonesY[i]*50+20,50,50);
    }
    if (x != -1) {
      g.setColor(Color.magenta);
      g.fillOval(x*50+20,y*50+20,45,45);
    }
  }
}




class No_NoWindow extends Frame {
  No_NoCanvas no_noCanvas;
  Button OK_button = new Button(" OKAY ");
  
  public Insets insets() { 
    return new Insets(25,25,25,25); 
  }
  MudApplet father;
  
  No_NoWindow(MudApplet Father, String nono_cmd) {
    
    father = Father;
    setLayout(new BorderLayout(20,20));
    setBackground(Color.magenta);
    setTitle("Un-known Command");
    no_noCanvas = new No_NoCanvas(this, nono_cmd);
    no_noCanvas.setBackground(Color.black);
    no_noCanvas.setForeground(Color.magenta);
    add("Center", no_noCanvas);
    OK_button.setBackground(Color.cyan);
    OK_button.setForeground(Color.black);
    add("South",OK_button);
    pack();
    resize(370,200);
    show();
  }
  
  public boolean action(Event evt, Object arg) {
    if (evt.target instanceof Button) {
      String label = (String)arg;
      if (label.equals(" OKAY ")) {
        dispose();
      }
    }
    return true;
  }
}                           

class No_NoCanvas extends Canvas {
  No_NoWindow mother;
  
  No_NoCanvas(No_NoWindow Mother, String no_cmd) {
    mother = Mother;
    setFont(new Font("TimesRoman", Font.BOLD, 18));
    System.out.println(no_cmd);
  }
  
  public void paint(Graphics g) {
    g.drawString("* Command does not exist *",45,50);
    //	g.drawString("Command " + no_cmd + "is not a valid command", 50,150);
  }
  
  public void update(Graphics g) {
    g.drawString("I don't understand",100,100);
  }
}
























